import bogoyaml;
import bogoyaml_static;

void main() {
	YamlHolder y = yamlLoad("test_simple.yml");
	assert("aaa" == y.get(0).get("hoge").str);
	assert("bbb" == y.get(0).get("fuga").str);
	assert(1 == y.get(1).get("hoge").integer);
	assert(2.3 == y.get(1).get("fuga").decimal);
	assert("hoge\nhoge\nhoge" == y.get(1).get("gefu").str);

	alias char[][char[]][] Cfg;
	alias ToStatic!(Cfg) ToStaticCfg;
	Cfg cfg = ToStaticCfg.conv(y);
	assert("aaa" == cfg[0]["hoge"]);
	assert("bbb" == cfg[0]["fuga"]);
	assert("1" == cfg[1]["hoge"]);
	assert("2.3" == cfg[1]["fuga"]);
	assert("hoge\nhoge\nhoge" == cfg[1]["gefu"]);
}
